diff -urN py-paramiko.orig/Makefile py-paramiko/Makefile
--- py-paramiko.orig/Makefile	2009-11-06 12:11:29.000000000 +0100
+++ py-paramiko/Makefile	2009-11-06 12:09:12.000000000 +0100
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	paramiko
-PORTVERSION=	1.7.5
+PORTVERSION=	1.7.6
 CATEGORIES=	security python
 MASTER_SITES=	http://www.lag.net/paramiko/download/
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
@@ -19,4 +19,12 @@
 USE_PYTHON=	yes
 USE_PYDISTUTILS=	yes
 
+EXAMPLESDIR=	${PREFIX}/share/examples/py-${PORTNAME}
+
+.if !defined(NOPORTEXAMPLES)
+post-install:
+	${MKDIR} ${EXAMPLESDIR}
+	${CP} ${WRKSRC}/demos/* ${EXAMPLESDIR}
+.endif
+
 .include <bsd.port.mk>
diff -urN py-paramiko.orig/distinfo py-paramiko/distinfo
--- py-paramiko.orig/distinfo	2009-11-06 12:11:29.000000000 +0100
+++ py-paramiko/distinfo	2009-11-06 12:09:12.000000000 +0100
@@ -1,3 +1,3 @@
-MD5 (paramiko-1.7.5.tar.gz) = 7eac2199bea086cc22966eb223c64e7f
-SHA256 (paramiko-1.7.5.tar.gz) = c0cce631a8279a7970da60bbe5f129c3530d5ad773f2d88bfaf2e1c1f68ff490
-SIZE (paramiko-1.7.5.tar.gz) = 843046
+MD5 (paramiko-1.7.6.tar.gz) = fa144ab46f1dc639b05ab948c30efac4
+SHA256 (paramiko-1.7.6.tar.gz) = 3059263b016255640151cde1e3e74ffd7234b90e780628865cb3f5a407fd5002
+SIZE (paramiko-1.7.6.tar.gz) = 843748
diff -urN py-paramiko.orig/files/patch-nosetuptools-setup.py py-paramiko/files/patch-nosetuptools-setup.py
--- py-paramiko.orig/files/patch-nosetuptools-setup.py	2009-11-06 12:11:29.000000000 +0100
+++ py-paramiko/files/patch-nosetuptools-setup.py	1970-01-01 01:00:00.000000000 +0100
@@ -1,19 +0,0 @@
---- setup.py.orig	Tue May 22 05:49:43 2007
-+++ setup.py	Tue May 22 05:49:52 2007
-@@ -33,14 +33,8 @@
- #ez_setup.use_setuptools()
- 
- import sys
--try:
--    from setuptools import setup
--    kw = {
--        'install_requires': 'pycrypto >= 1.9',
--    }
--except ImportError:
--    from distutils.core import setup
--    kw = {}
-+from distutils.core import setup
-+kw = {}
-     
- if sys.platform == 'darwin':
- 	import setup_helper
diff -urN py-paramiko.orig/pkg-plist py-paramiko/pkg-plist
--- py-paramiko.orig/pkg-plist	2009-11-06 12:11:29.000000000 +0100
+++ py-paramiko/pkg-plist	2009-11-06 12:09:12.000000000 +0100
@@ -113,3 +113,14 @@
 %%PYTHON_SITELIBDIR%%/paramiko/win_pageant.pyc
 %%PYTHON_SITELIBDIR%%/paramiko/win_pageant.pyo
 @dirrm %%PYTHON_SITELIBDIR%%/paramiko
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/demo.py
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/demo_server.py
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/demo_sftp.py
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/demo_simple.py
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/forward.py
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/interactive.py
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/rforward.py
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/test_rsa.key
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/user_rsa_key
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/user_rsa_key.pub
+%%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR%%
